Blame SOURCES/valgrind-3.15.0-exp-sgcheck-no-aarch64.patch

01cf8b
commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8
01cf8b
Author: Mark Wielaard <mark@klomp.org>
01cf8b
Date:   Sat May 18 14:55:50 2019 +0200
01cf8b
01cf8b
    aarch64 (arm64) isn't a supported architecture for exp-sgcheck.
01cf8b
    
01cf8b
    exp-sgcheck/pc_main.c contains:
01cf8b
    
01cf8b
       #if defined(VGA_arm) || defined(VGA_arm64)
01cf8b
          VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n");
01cf8b
          VG_(exit)(1);
01cf8b
       #endif
01cf8b
    
01cf8b
    But exp-sgcheck/tests/is_arch_supported checked against uname -m
01cf8b
    which returns aarch64 (not arm64). Fix the test check so the
01cf8b
    exp-sgcheck tests are skipped instead of producing failures.
01cf8b
01cf8b
diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_supported
01cf8b
index 818cc61..d4c6191 100755
01cf8b
--- a/exp-sgcheck/tests/is_arch_supported
01cf8b
+++ b/exp-sgcheck/tests/is_arch_supported
01cf8b
@@ -10,6 +10,6 @@
01cf8b
 # architectures.
01cf8b
 
01cf8b
 case `uname -m` in
01cf8b
-  ppc*|arm*|s390x|mips*) exit 1;;
01cf8b
+  ppc*|aarch64|arm*|s390x|mips*) exit 1;;
01cf8b
   *)         exit 0;;
01cf8b
 esac